/*
 * $Id: limit_sh.dsl,v 1.3 1998/06/03 18:02:29 ee Exp $
 *
 * Product:	TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_limit_sh_msg.dsl"
Command Dialog
{
	Variables
	{
		CString dialog_name;
	}
	Attributes
	{
		Default = ok;
		Name = Dialog1;
		Purpose = ICONIFY;
		DialogStyle = PRIMARY_APPLICATION_MODAL;
		Title = $dialog_name;
		Alignment = CENTER;
		HelpMessage=Msg(TWS_limit_sh_msg_Help);
	}
	Group
	{
		Name = g1;
		BitmapTitle = JLINK;
		TitlePos = TOP;
		Text
		{
			Columns = 20;
			Name = schedule;
			TellModify = YES;
			TitlePos = CENTER;
			Title = Msg(TWS_limit_sh_msg_Schedule_to_limit);
		}
		Text
		{
			Columns = 20;
			Name = limit;
			TellModify = YES;
			TitlePos = CENTER;
			Title = Msg(TWS_limit_sh_msg_Job_Limit);
		}
	}
  
	CommandButton
	{
		Commands = execute_with_args_callback^$owner(ok,
				$g1.schedule,
				$g1.limit);
		Name = ok;
		Title = Msg(TWS_limit_sh_msg_ok);
	}
	CommandButton
	{
		Commands = execute_with_args_callback^$owner(cancel);
		Name = cancel;
		Title = Msg(TWS_limit_sh_msg_cancel);
	}

}
