/*
 *
 * Product:	SAMPLEPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_master_config_fp_sh_msg.dsl"
Command Dialog
{
    Variables
    {
	CString dialog_name;
    }
    Attributes
    {
        HelpMessage = Msg(TWS_master_config_fp_sh_msg_Help);
        Name = Dialog1;
        DialogStyle = PRIMARY_APPLICATION_MODAL;
        Title = $dialog_name;
    }
    Group
    {
	Name = g1;
	BitmapTitle = JLINK;
	TitlePos = TOP;
        Group
        {
            Attributes
            {
                Border = NO;
                Name = node_type;
                Title = Msg(TWS_master_config_fp_sh_msg_node_type_title);
                TitlePos = CENTER;
            }
            Gadgets
            {
                Choice
                {
                    Choices = 
                        Msg(TWS_master_config_fp_sh_msg_endpoint){endpoint},
                        Msg(TWS_master_config_fp_sh_msg_managednode){managednode};
                    Name = d_node_type;
                    Show = ONE;
                    Sort = NO;
                    TellModify = YES;
                    Value = managednode;
                }
            }
        }

    }
    CommandButton
    {
        Commands = execute_with_args_callback^$owner(ok,
            $g1.node_type.d_node_type);
        Name = ok;
        Title = Msg(TWS_master_config_fp_sh_msg_ok);
    }
    CommandButton
    {
        Commands = execute_with_args_callback^$owner(cancel);
        Name = cancel;
        Title = Msg(TWS_master_config_fp_sh_msg_cancel);
    }
}
