/*
 * $Id: start_cpu_sh.dsl,v 1.1 1998/06/12 16:24:12 ee Exp $
 *
 * Product:	TWSPlus for Tivoli
 *
 * Description: DSL dialog description file.
 *
 * (C) COPYRIGHT Tivoli Systems, Inc. 1996, 1997
 * All Rights Reserved
 * Licensed Material - Property of Tivoli Systems, Inc.
 */

#include <TME/PLUS/LINK/LinkCat.dsl>
#include "TME/PLUS/TWS/TWS_start_cpu_sh_msg.dsl"
Command Dialog
{
	Variables
	{
		CString dialog_name;
	}
	Attributes
	{
		Default = ok;
		Name = Dialog1;
		Purpose = ICONIFY;
		DialogStyle = PRIMARY_APPLICATION_MODAL;
		Title = $dialog_name;
		HelpMessage=Msg(TWS_start_cpu_sh_msg_Help);
	}
	Group
	{
		Name = g1;
		BitmapTitle = JLINK;
		TitlePos = TOP;
		Text
		{
			Columns = 20;
			Name = cpu;
			TellModify = YES;
			TitlePos = CENTER;
			Title = Msg(TWS_start_cpu_sh_msg_CPU_to_start);
		}
	}

	CommandButton
	{
		Commands = execute_with_args_callback^$owner(ok,$g1.cpu);
		Name = ok;
		Title = Msg(TWS_start_cpu_sh_msg_ok);
	}
	CommandButton
	{
		Commands = execute_with_args_callback^$owner(cancel);
		Name = cancel;
		Title = Msg(TWS_start_cpu_sh_msg_cancel);
	}
}
